Loading...
Searching...
No Matches
osmo_xua_server Struct Reference

`#include <osmo_ss7.h>`

## Data Fields

struct llist_head | list
struct osmo_ss7_instance * | inst
struct llist_head | asp_list
struct osmo_stream_srv_link * | server
struct { |
bool accept_dyn_reg |
struct osmo_ss7_asp_peer local |
enum osmo_ss7_asp_protocol proto |
} | cfg |

## Field Documentation

## accept_dyn_reg

bool osmo_xua_server::accept_dyn_reg

Referenced by DEFUN_ATTR(), write_one_xua(), and xua_accept_cb().

## asp_list

struct llist_head osmo_xua_server::asp_list

Referenced by osmo_ss7_xua_server_create(), osmo_ss7_xua_server_destroy(), and xua_accept_cb().

## [struct]

struct { ... } osmo_xua_server::cfg

Referenced by DEFUN(), DEFUN_ATTR(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_xua_server_add_local_host(), osmo_ss7_xua_server_bind(), osmo_ss7_xua_server_create(), osmo_ss7_xua_server_find(), osmo_ss7_xua_server_set_default_local_hosts(), osmo_ss7_xua_server_set_local_hosts(), vty_dump_xua_server(), write_one_xua(), and xua_accept_cb().

## inst

struct osmo_ss7_instance* osmo_xua_server::inst

Referenced by DEFUN(), DEFUN_ATTR(), DEFUN_ATTR(), osmo_ss7_vty_go_parent(), osmo_ss7_xua_server_create(), osmo_ss7_xua_server_find(), write_one_cs7(), and xua_accept_cb().

## list

struct llist_head osmo_xua_server::list

Referenced by DEFUN(), osmo_ss7_xua_server_create(), osmo_ss7_xua_server_destroy(), osmo_ss7_xua_server_find(), and write_one_cs7().

## local

struct osmo_ss7_asp_peer osmo_xua_server::local

Referenced by osmo_sccp_simple_server_add_clnt(), osmo_ss7_xua_server_add_local_host(), osmo_ss7_xua_server_bind(), osmo_ss7_xua_server_create(), osmo_ss7_xua_server_find(), osmo_ss7_xua_server_set_default_local_hosts(), osmo_ss7_xua_server_set_local_hosts(), vty_dump_xua_server(), write_one_xua(), and xua_accept_cb().

## proto

enum osmo_ss7_asp_protocol osmo_xua_server::proto

Referenced by DEFUN(), DEFUN_ATTR(), DEFUN_ATTR(), osmo_ss7_xua_server_bind(), osmo_ss7_xua_server_create(), osmo_ss7_xua_server_find(), vty_dump_xua_server(), write_one_xua(), and xua_accept_cb().

## server

struct osmo_stream_srv_link* osmo_xua_server::server

Referenced by osmo_ss7_xua_server_add_local_host(), osmo_ss7_xua_server_bind(), osmo_ss7_xua_server_create(), osmo_ss7_xua_server_destroy(), and osmo_ss7_xua_server_set_local_hosts().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/osmo_ss7.h